at.chipkarte.client.rez.soap

## Class Code

- Object
- - at.chipkarte.client.rez.soap.Code

-     public class Code
      extends Object

  ELGA spezifische Codedefiniton.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig, ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob der Code zwecks "Erfassung" oder "Änderung" oder "Abfrage" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Code()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Codewert.
    `String` | `getCodesystem()` Eindeutige ID des Codesystems.
    `String` | `getDisplayname()` Anzeigetext des Codewerts.
    `void` | `setCode(String code)`
    `void` | `setCodesystem(String codesystem)`
    `void` | `setDisplayname(String displayname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Code

          public Code()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Codewert.
      Beispiel: `100000073564` für die Anwendungsart "Anwendung am Ohr".
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Abfrage: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Codewert.

    - #### getCodesystem

          public String getCodesystem()

      Eindeutige ID des Codesystems.
      Beispiel: `1.2.40.0.10.1.4.3.4.3.4`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Abfrage: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Codesystem.

    - #### getDisplayname

          public String getDisplayname()

      Anzeigetext des Codewerts.
      Beispiel: `Anwendung am Ohr`
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Abfrage: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Anzeigetext.

    - #### setCode

          public void setCode(String code)

    - #### setCodesystem

          public void setCodesystem(String codesystem)

    - #### setDisplayname

          public void setDisplayname(String displayname)